package com.bonus.material.back.service;

import java.util.List;
import com.bonus.material.back.domain.BackCheckDetails;

/**
 * 退料核查Service接口
 * 
 * @author xsheng
 * @date 2024-10-16
 */
public interface IBackCheckDetailsService {
    /**
     * 查询退料核查
     * 
     * @param id 退料核查主键
     * @return 退料核查
     */
    public BackCheckDetails selectBackCheckDetailsById(Long id);

    /**
     * 查询退料核查列表
     * 
     * @param backCheckDetails 退料核查
     * @return 退料核查集合
     */
    public List<BackCheckDetails> selectBackCheckDetailsList(BackCheckDetails backCheckDetails);

    /**
     * 新增退料核查
     * 
     * @param backCheckDetails 退料核查
     * @return 结果
     */
    public int insertBackCheckDetails(BackCheckDetails backCheckDetails);

    /**
     * 修改退料核查
     * 
     * @param backCheckDetails 退料核查
     * @return 结果
     */
    public int updateBackCheckDetails(BackCheckDetails backCheckDetails);

    /**
     * 批量删除退料核查
     * 
     * @param ids 需要删除的退料核查主键集合
     * @return 结果
     */
    public int deleteBackCheckDetailsByIds(Long[] ids);

    /**
     * 删除退料核查信息
     * 
     * @param id 退料核查主键
     * @return 结果
     */
    public int deleteBackCheckDetailsById(Long id);
}
